/*!
 * VisualEditor MediaWiki Initialization desktop target Vector skin styles.
 *
 * @copyright 2011-2020 VisualEditor Team and others; see AUTHORS.txt
 * @license The MIT License (MIT); see LICENSE.txt
 */

/* All debug bars (includes target widgets) */
.ve-ui-debugBar {
	border-top: 1px solid #c8ccd1;
	box-shadow: 0 10px 10px -10px rgba( 0, 0, 0, 0.15 ) inset;

	ol {
		margin-left: 0;
	}
}

/* Slug animation needs more specific rules and skin-specific target margins */
.mw-body-content p.ve-ce-branchNode-newSlug {
	margin: -0.3em 0 -0.1em 0;

	&-open {
		margin: 0.5em 0;
	}
}

.ve-ui-surface .ve-ui-surface-placeholder {
	opacity: 1;

	& > * {
		color: #72777d;
	}
}
